package com.vctgo.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.system.api.domain.dto.SysGardenManageDto;
import com.vctgo.system.domain.SysGardenManage;

import java.util.List;
import java.util.Map;

/**
 * 幼儿园集团管理Service接口
 *
 * @author wanglonghua
 * @date 2023-06-02
 */
public interface ISysGardenManageService
{
    /**
     * 查询幼儿园集团管理
     *
     * @param id 幼儿园集团管理主键
     * @return 幼儿园集团管理
     */
    SysGardenManage selectSysGardenManageById(Long id);

    /**
     * 查询幼儿园集团管理列表-分页
     *
     * @param sysGardenManage 幼儿园集团管理
     * @return 幼儿园集团管理集合
     */
    IPage<SysGardenManage> selectSysGardenManagePage(SysGardenManage sysGardenManage);
    /**
     * 查询幼儿园集团管理列表
     *
     * @param sysGardenManage 幼儿园集团管理
     * @return 幼儿园集团管理集合
     */
    List<SysGardenManage> selectSysGardenManageList(SysGardenManage sysGardenManage);

    /**
     * 根据相应参数查询是否存在该集团
     *
     * @param params 参数
     * @return 幼儿园集团管理集合
     */
    List<SysGardenManage> selectGardenListByParams(Map<String, Object> params);

    List<Long> selectGardenManageIdList(SysGardenManageDto sysGardenManageDto);

    /**
     * 新增幼儿园集团管理
     *
     * @param sysGardenManage 幼儿园集团管理
     * @return 结果
     */
    int insertSysGardenManage(SysGardenManage sysGardenManage);

    /**
     * 修改幼儿园集团管理
     *
     * @param sysGardenManage 幼儿园集团管理
     * @return 结果
     */
    int updateSysGardenManage(SysGardenManage sysGardenManage);

    /**
     * 逻辑删除幼儿园集团管理
     *
     * @param ids 区域id集合
     * @return 结果
     */
    int logicalDeleteByIds(Long[] ids);

    /**
     * 批量删除幼儿园集团管理
     *
     * @param ids 需要删除的幼儿园集团管理主键集合
     * @return 结果
     */
    int deleteSysGardenManageByIds(Long[] ids);

    /**
     * 删除幼儿园集团管理信息
     *
     * @param id 幼儿园集团管理主键
     * @return 结果
     */
    int deleteSysGardenManageById(Long id);
}
